using System;
using System.Collections.Generic;
using System.Linq;
using Labs.Interfaces;

namespace Labs.Business
{
    public class CustomerManager
    {
        public CustomerManager(ICustomerRepository instance)
        {
            if (instance == null)
                throw new ArgumentNullException("instance", 
                    "instance is null.");

            m_RepositoryInstance = instance;
        }

        private ICustomerRepository m_RepositoryInstance;
        private ICustomerRepository RepositoryInstance
        {
            get { return m_RepositoryInstance; }
        }
    }
}
