﻿using System;
using System.Text;
using System.Collections.Generic;
using System.Linq;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace DeckOfCards.UnitTests
{
    [TestClass]
    public class CardFixture
    {
        [TestMethod]
        public void CardConstructorInitializesSuitAndRankFields()
        {
            var card = new Card(Suit.Diamond, Rank.Two);

            Assert.AreEqual<Suit>(Suit.Diamond,
                card.Suit,
                "Wrong suit.");

            Assert.AreEqual<Rank>(Rank.Two,
                card.Rank,
                "Wrong rank.");
        }
    }
}
