﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DataAccessTesting.Interfaces;

namespace DataAccessTesting.DataAccess
{
    public class PersonToDataSetAdapter
    {
        public void Adapt(IPerson fromValue, PersonDataSet.PersonRow toValue)
        {
            if (fromValue == null)
                throw new ArgumentNullException("fromValue", "fromValue is null.");
            if (toValue == null)
                throw new ArgumentNullException("toValue", "toValue is null.");

            toValue.Id = fromValue.Id;
            toValue.FirstName = fromValue.FirstName;
            toValue.LastName = fromValue.LastName;
            toValue.EmailAddress = fromValue.EmailAddress;
        }

        public void Adapt(PersonDataSet.PersonRow fromValue, IPerson toValue)
        {
            if (fromValue == null)
                throw new ArgumentNullException("fromValue", "fromValue is null.");
            if (toValue == null)
                throw new ArgumentNullException("toValue", "toValue is null.");

            toValue.Id = fromValue.Id;
            toValue.FirstName = fromValue.FirstName;
            toValue.LastName = fromValue.LastName;
            toValue.EmailAddress = fromValue.EmailAddress;
        }
    }
}
